# Car constants

This endpoint returns a list of relevant car constants names in the specified languages. For example, calling with the parameters {"languages":"en-us","fr"} will return the list in English (US) and French. To retrieve the full list, make the request with an empty body.

Endpoint: POST /cars/constants
Version: 3.1
Security: BearerAuth

## Header parameters:

  - `X-Affiliate-Id` (integer, required)
    Include here your Affiliate identifier number

## Request fields (application/json):

  - `constants` (array)
    A list of car rental constant types to filter the results by. This allows you to narrow down the result based on particular criteria, such as fuel_policy, payment_timings etc.
    Enum: "depot_services", "fuel_policies", "fuel_types", "general", "payment_timings", "transmission"

  - `languages` (array)
    Example: ["en-us"]

## Response 200 fields (application/json):

  - `request_id` (string)
    Uniquely identifies the request. Please provide this identifier when contacting support.

  - `data` (object)

  - `data.depot_services` (object)
    Id and translated names for the constant.

  - `data.depot_services.id` (string)

  - `data.depot_services.name` (object)
    A string localised in multiple languages.

  - `data.depot_services.name.^[a-z]{2}(-[a-z]{2})$` (string,null)
    The content localised in this language.

  - `data.fuel_policies` (object)
    Id and translated names for the constant.

  - `data.fuel_policies.id` (string)

  - `data.fuel_policies.name` (object)
    A string localised in multiple languages.

  - `data.fuel_policies.name.^[a-z]{2}(-[a-z]{2})$` (string,null)
    The content localised in this language.

  - `data.fuel_types` (object)
    Id and translated names for the constant.

  - `data.fuel_types.id` (string)

  - `data.fuel_types.name` (object)
    A string localised in multiple languages.

  - `data.fuel_types.name.^[a-z]{2}(-[a-z]{2})$` (string,null)
    The content localised in this language.

  - `data.general` (object)
    Id and translated names for the constant.

  - `data.general.id` (string)

  - `data.general.name` (object)
    A string localised in multiple languages.

  - `data.general.name.^[a-z]{2}(-[a-z]{2})$` (string,null)
    The content localised in this language.

  - `data.payment_timings` (object)
    Id and translated names for the constant.

  - `data.payment_timings.id` (string)

  - `data.payment_timings.name` (object)
    A string localised in multiple languages.

  - `data.payment_timings.name.^[a-z]{2}(-[a-z]{2})$` (string,null)
    The content localised in this language.

  - `data.transmission` (object)
    Id and translated names for the constant.

  - `data.transmission.id` (string)

  - `data.transmission.name` (object)
    A string localised in multiple languages.

  - `data.transmission.name.^[a-z]{2}(-[a-z]{2})$` (string,null)
    The content localised in this language.


